%define po_package gnome-session-2.0

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:        GNOME session manager.
Name:      	gnome-session
Version:   	2.22.1
Release:   	1
License: 	GNU/GPL
URL:	  	ftp://ftp.gnome.org
Group:     	Graphical Desktop/GNOME/Base
Source0: 	%{name}-%{version}.tar.bz2
Source1:	gnome.desktop
Source2:	ccux-start-gnome
Patch2: 	gnome-session-2.0.5-login.patch
# Launch gnome-user-share on login if enabled
Patch7: 	gnome-session-2.13.92-user-share.patch
# too much crashing
Patch9: 	gnome-session-2.13.4-no-crashes.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=333670
#Patch12: 	gnome-session-2.15.91-desensitize-invalid-buttons.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=350848
Patch13: 	gnome-session-2.15.91-window-manager.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=84315
#Patch14: 	gnome-session-2.15.91-http-proxy.patch
Patch20: 	gnome-session-2.17.91-atspi-timeout.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
# required to get gconf-sanity-check-2 in the right place
Requires: 	GConf dbus-x11
# Needed for gnome-settings-daemon
Requires: 	control-center
Requires: 	gnome-volume-manager
Requires:	gdm
BuildRequires: 	glib-devel
BuildRequires: 	pango-devel
BuildRequires: 	gtk2+-devel
BuildRequires: 	libgnome-devel
BuildRequires: 	libgnomeui-devel
BuildRequires: 	gnome-vfs-devel
BuildRequires: 	gnome-desktop-devel
BuildRequires: 	dbus-devel
BuildRequires: 	dbus-glib-devel
BuildRequires: 	libnotify-devel
BuildRequires: 	control-center-devel
BuildRequires: 	desktop-file-utils
# this is so the configure checks find /usr/bin/halt etc.
BuildRequires: 	usermode
BuildRequires: 	intltool, autoconf, automake
BuildRequires: 	libtool
BuildRequires: 	gettext
BuildRequires: 	libX11-devel libXt-devel
BuildRequires: 	libXrandr-devel

Requires(pre): GConf
Requires(post): GConf
Requires(preun): GConf

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/gnome-session.schemas > /dev/null || :
/sbin/ldconfig

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/gnome-session.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/gnome-session.schemas > /dev/null || :
fi

%postun
/sbin/ldconfig

%description
gnome-session manages a GNOME desktop session. It starts up the other core 
GNOME components and handles logout and saving the session.

%prep
%setup -q
#%patch2 -p1 -b .login
#%patch6 -p1 -b .gnome-common
#%patch7 -p1 -b .user-share
%patch9 -p1 -b .no-crashes
#%patch12 -p1 -b .desensitize-invalid-buttons
#%patch13 -p1 -b .window-manager
#%patch14 -p1 -b .http-proxy
#%patch20 -p1

%build
#aclocal
#automake
#intltoolize --force
#autoheader
#autoconf

%configure --sysconfdir=%_sysconfdir/gnome --localstatedir=/var/lib --with-halt-command=/sbin/poweroff --with-reboot-command=/sbin/reboot
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gnome/xdg/autostart
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/autostart

/bin/rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

## remove splash screen
#rm -r $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash

%find_lang %{po_package}


#Integrate into gdm
./mkinstalldirs ${RPM_BUILD_ROOT}%{_datadir}/xsessions/
install -m 755 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/xsessions/

# Gnome startup script
install -m 755 %{SOURCE2} ${RPM_BUILD_ROOT}%{_bindir}

%files -f %{po_package}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/icons
%{_datadir}/gnome
%{_datadir}/applications
%{_datadir}/xsessions/*
%{_datadir}/man/man*/*
%{_bindir}/*
%{_sysconfdir}/gnome/gconf/schemas/*.schemas
%{_sysconfdir}/gnome/xdg/autostart
%{_datadir}/gnome/autostart
%{_datadir}/pixmaps/splash/gnome-splash.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Tue Mar 04 2008 Christian Metzen <metzench@ccux-linux.de> 2.20.3-2
- ccux-start-gnome doesn t need dbus-launch anymore
* Wed Jan 09 2008 Christian Metzen <metzench@ccux-linux.de> 2.20.3-1
- Version update
* Wed Nov 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.2-1
- Version update
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Mon Dec 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.2-1
- Version update
* Mon Nov 20 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.2-1
- Version update
* Wed Nov 15 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-8
- gdm integration
* Sat Nov 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-7
- fixed desktop file, added dependency for dbus-x11
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-6
- readded splash patches and kdm integration
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-5
- readded gnome-volume-manager dependency
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-4
- clean buildchain
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-3
- rebuild, moved libexec and some patch removements
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update, moved prefix, temp disabled kdm integration
* Sat Mar 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.13.91-1
- Initial Release